-- genhdl\ibis_veccs_pwl_test/ibis_veccs_pwl_test.vhd
-- Generated by SystemVision netlister 1.0 build 2005.25.1_SV
-- File created Thu Nov 03 12:14:08 2005

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.electrical_systems.all;
USE ieee.mechanical_systems.all;
USE ieee.fluidic_systems.all;
USE ieee.thermal_systems.all;
USE ieee.radiant_systems.all;
LIBRARY edulib;
USE work.all;

entity IBIS_VECCS_PWL_TEST is
end entity IBIS_VECCS_PWL_TEST;

architecture arch_IBIS_VECCS_PWL_TEST of IBIS_VECCS_PWL_TEST is
   terminal PLS: ELECTRICAL;
   terminal \OUT\: ELECTRICAL;
   terminal CTRL: ELECTRICAL;

begin

   R1 : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 100.0 )
      port map ( P1 => PLS,
                P2 => \OUT\ );

   V_PLS : entity EDULIB.V_PULSE(IDEAL)
      generic map ( DELAY => 0.3 NS,
                    PERIOD => 15 NS,
                    PULSE => 1.0,
                    TI2P => 1.0 PS,
                    TP2I => 1.0 PS,
                    WIDTH => 7.5 NS )
      port map ( POS => PLS,
                NEG => ELECTRICAL_REF );

   V_CTRL : entity EDULIB.V_PULSE(IDEAL)
      generic map ( DELAY => 2.0 NS,
                    INITIAL => 1.0,
                    PERIOD => 6 NS,
                    PULSE => 0.0,
                    TI2P => 1.0 NS,
                    TP2I => 1.0 NS,
                    WIDTH => 2.0 NS )
      port map ( POS => CTRL,
                NEG => ELECTRICAL_REF );

   IBIS_VECCS_PWL : entity WORK.IBIS_VECCS_PWL(IDEAL)
      generic map ( SCALE => 0.01,
                    VTH_F => 0.25,
                    VTH_R => 0.75 )
      port map ( P => \OUT\,
                N => ELECTRICAL_REF,
                PS => CTRL,
                NS => ELECTRICAL_REF );

end architecture arch_IBIS_VECCS_PWL_TEST;

